#include "apptimer.h"
#include "ui_apptimer.h"

AppTimer::AppTimer(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::AppTimer)
{
    ui->setupUi(this);

    //  un QSpinBox pour afficher la valeur
    ui->spinBox->setMaximum(999999);

    // instanciation et lancement du timer
    timer = new QTimer(this);                                   // instanciantion de l'objet
    connect(timer, SIGNAL(timeout()), this, SLOT(mafonction()));// connexion du slot
    timer->setInterval(100);                                    // l'intervale en ms
    timer->start();     // no comment!
}

AppTimer::~AppTimer()
{
    delete timer;
    delete ui;
}

// cette fonction (SLOT) et activée à chaque interruption du timer
void AppTimer::mafonction()
{
int valeur = ui->spinBox->value();  // on récupère la valeur courante de la spinbox
valeur++;                           // on l'incrémente
ui->spinBox->setValue(valeur);      // on la remet dans la spinBox
ui->progressBar->setValue(valeur%100);  // on ajuste la progressbar en conséquence
}
